# Class SeekableFTPStreamHelper

java.lang.Object
htsjdk.samtools.seekablestream.SeekableFTPStreamHelper

public class SeekableFTPStreamHelper extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`eof()`
`long`
`length()`
`long`
`position()`
`int`
`read()`
`int`
`read(byte[] buffer, int offset, int len)`
`void`
`seek(long position)`
`long`
`skip(long n)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### seek

public void seek(long position)

### position

public long position()

### eof

public boolean eof() throws IOException

Throws:
  `IOException`

### length

public long length()

### skip

public long skip(long n) throws IOException

Throws:
  `IOException`

### read

public int read(byte[] buffer, int offset, int len) throws IOException

Throws:
  `IOException`

### close

public void close() throws IOException

Throws:
  `IOException`

### read

public int read() throws IOException

Throws:
  `IOException`